# Method: accounts.proposals.resume

- [HTTP request](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.proposals/resume#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.proposals/resume#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.proposals/resume#body.request_body)
- [Response body](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.proposals/resume#body.response_body)
- [Authorization Scopes](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.proposals/resume#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.proposals/resume#try-it)

Update the given proposal to resume serving. This method will set the `DealServingMetadata.DealPauseStatus.has_buyer_paused` bit to false for all deals in the proposal.

Note that if the `hasSellerPaused` bit is also set, serving will not resume until the seller also resumes.

It is a no-op to resume an already-running proposal. It is an error to call proposals.resume for a proposal that is not finalized or renegotiating.

### HTTP request

`POST https://adexchangebuyer.googleapis.com/v2beta1/accounts/{accountId}/proposals/{proposalId}:resume`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `accountId` | `string` Account ID of the buyer. |
| `proposalId` | `string` The ID of the proposal to resume. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/authorized-buyers/apis/reference/rest/v2beta1/accounts.proposals#Proposal`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/adexchange.buyer`